Create a Reminder

circle-exclamation

Create a reminder

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
agentIdstringRequired
Body
purposestringRequired
contextstringOptional
timestampnumberRequired
metadataobjectOptional
customerIdstringOptional
opportunityIdstringOptional
Responses
chevron-right
200

Reminder created successfully

application/json

This an object representing a reminder.

idstringRequired
purposestringRequired
contextstringOptional
timestampnumberRequired

When the reminder is due

statusstring · enumRequiredPossible values:
metadataobjectOptional
taskIdstringRequired
customerIdstring · nullableOptional
opportunityIdstring · nullableOptional
createdAtstring · date-timeRequired

When the reminder was created

updatedAtstring · date-timeRequired

When the reminder was last updated

post
/v1/agents/{agentId}/reminders
circle-info

Note: Both customerId and opportunityId are optional parameters. However, when provided:

  • If customerId is provided, it must belong to an existing customer

  • If opportunityId is provided, it must belong to an existing opportunity

  • If both are provided, the opportunity must belong to the specified customer

Last updated